JE::Object::Error::SyntaxError(3pm)

NAME
JE::Object::Error::SyntaxError - JavaScript SyntaxError object class

SYNOPSIS
  use JE::Object::Error::SyntaxError;

  # Somewhere in code called by an eval{}
  die new JE::Object::Error::SyntaxError $global, "(Error message here)";

  # Later:
  $@->prop('message');  # error message
  $@->prop('name');     # 'SyntaxError'
  "$@";                 # 'SyntaxError: ' plus the error message

DESCRIPTION
This class implements JavaScript SyntaxError objects for JE.

METHODS
See JE::Types and JE::Object::Error.

SEE ALSO

JE
JE::Types
JE::Object
JE::Object::Error